package test.xml;

import java.util.Map;


public class XMLTestElement {
	private int id;
	private String firstName;
	private String lastName;
	private String admissionDay;
	private double tall;
	private boolean premiumMember;
	private String gender;

	private Map<String, String> useTimeMap;
	/**
	 * idを取得します。
	 * @return id
	 */
	public int getId() {
	    return id;
	}
	/**
	 * idを設定します。
	 * @param id id
	 */
	public void setId(int id) {
	    this.id = id;
	}
	/**
	 * firstNameを取得します。
	 * @return firstName
	 */
	public String getFirstName() {
	    return firstName;
	}
	/**
	 * firstNameを設定します。
	 * @param firstName firstName
	 */
	public void setFirstName(String firstName) {
	    this.firstName = firstName;
	}
	/**
	 * lastNameを取得します。
	 * @return lastName
	 */
	public String getLastName() {
	    return lastName;
	}
	/**
	 * lastNameを設定します。
	 * @param lastName lastName
	 */
	public void setLastName(String lastName) {
	    this.lastName = lastName;
	}
	/**
	 * admissionDayを取得します。
	 * @return admissionDay
	 */
	public String getAdmissionDay() {
	    return admissionDay;
	}
	/**
	 * admissionDayを設定します。
	 * @param admissionDay admissionDay
	 */
	public void setAdmissionDay(String admissionDay) {
	    this.admissionDay = admissionDay;
	}
	/**
	 * tallを取得します。
	 * @return tall
	 */
	public double getTall() {
	    return tall;
	}
	/**
	 * tallを設定します。
	 * @param tall tall
	 */
	public void setTall(double tall) {
	    this.tall = tall;
	}
	/**
	 * premiumMemberを取得します。
	 * @return premiumMember
	 */
	public boolean isPremiumMember() {
	    return premiumMember;
	}
	/**
	 * premiumMemberを設定します。
	 * @param premiumMember premiumMember
	 */
	public void setPremiumMember(boolean premiumMember) {
	    this.premiumMember = premiumMember;
	}
	public void setUseTimeMap(Map<String, String> useTimeMap) {
		this.useTimeMap = useTimeMap;
	}
	public Map<String, String> getUseTimeMap() {
		return useTimeMap;
	}
	public void setGender(String gender) {
		this.gender = gender;
	}
	public String getGender() {
		return gender;
	}

}
